<template>
  <ac-collection-card
    ref="ac_collection_card_example"
    :url="collection.url"
    :method="collection.method"
    :params="collection.params"
    :loading_image="collection.loading_image"
    :sort_key="collection.sort_key"
    :bulk="true"
    :card_links="card_links"
    :card_options="{
                'is_delete': true
              }"
    :ac_cursor="collection.ac_cursor"
    :card_img_hover="hover_html"
    card_header
    align="vertical"
    card_title="name"
    card_subtitle="email"
    card_body="body"
    card_footer="name"
    card_img="image"
    card_body_html="p"
  />
</template>

<script>
export default {
  data: function() {
    return {
      collection: {
        url: "https://jsonplaceholder.typicode.com/posts/1/comments",
        loading_image:
          "https://loading.io/spinners/dual-ring/lg.dual-ring-loader.gif",
        ac_cursor: {
          postId: 1
        },
        method: "GET",
        params: {
          headers: {
            "Custom-Header": "My custom header"
          }
        },
        sort_key: "name"
      },
      hover_html:
        '<div class="bg-light text-success w-100 h-100 d-flex justify-content-center align-items-center">HOVER</div>',
      card_links: [
        {
          label: "First",
          href: "/first",
          variant: "primary"
        },
        {
          label: "Second",
          href: "/second",
          variant: "success"
        }
      ]
    };
  },
  mounted() {
    this.$refs.ac_collection_card_example.set_ajax();
    console.log(this.$refs);
  }
};
</script>

<style>
</style>
